Bug 1016594 - [abrt] amarok-utils-2.8.0-3.fc20: _M_data: Process /usr/bin/amarokcollectionscanner was killed by signal 11 (SIGSEGV)
[abrt] amarok-utils-2.8.0-3.fc20: _M_data: Process /usr/bin/amarokcollections...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:8bd5476ac5e3db42405804c75f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 07:32 EDT by Rex Dieter
Modified: 2015-06-29 08:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.57 KB, text/plain)
2013-10-08 07:32 EDT, Rex Dieter
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: core_backtrace (7.64 KB, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: dso_list (5.28 KB, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: environ (4.04 KB, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: maps (25.33 KB, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: open_fds (324 bytes, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-10-08 07:33 EDT, Rex Dieter
no flags Details

  None (edit)
Description Rex Dieter 2013-10-08 07:32:44 EDT
Description of problem:
Try to play (or even index) Music folder with various .ogg and .mp3 files , crashes started after upgrading taglib-1.8-6.20130218git.fc20 => taglib-1.9-1.fc20

Version-Release number of selected component:
amarok-utils-2.8.0-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        amarokcollectionscanner Music/
crash_function: _M_data
executable:     /usr/bin/amarokcollectionscanner
kernel:         3.11.3-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _M_data at /usr/include/c++/4.8.1/bits/basic_string.h:293
 #1 _M_rep at /usr/include/c++/4.8.1/bits/basic_string.h:301
 #2 size at /usr/include/c++/4.8.1/bits/basic_string.h:716
 #3 compare at /usr/include/c++/4.8.1/bits/basic_string.h:2227
 #4 operator< <wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> > at /usr/include/c++/4.8.1/bits/basic_string.h:2571
 #5 TagLib::String::operator< at /usr/src/debug/taglib-1.9/taglib/toolkit/tstring.cpp:744
 #6 operator() at /usr/include/c++/4.8.1/bits/stl_function.h:235
 #7 _M_lower_bound at /usr/include/c++/4.8.1/bits/stl_tree.h:1141
 #8 lower_bound at /usr/include/c++/4.8.1/bits/stl_tree.h:879
 #10 operator[] at /usr/include/c++/4.8.1/bits/stl_map.h:461
Comment 1 Rex Dieter 2013-10-08 07:32:54 EDT
Created attachment 809224 [details]
File: backtrace
Comment 2 Rex Dieter 2013-10-08 07:33:01 EDT
Created attachment 809225 [details]
File: cgroup
Comment 3 Rex Dieter 2013-10-08 07:33:06 EDT
Created attachment 809226 [details]
File: core_backtrace
Comment 4 Rex Dieter 2013-10-08 07:33:11 EDT
Created attachment 809227 [details]
File: dso_list
Comment 5 Rex Dieter 2013-10-08 07:33:14 EDT
Created attachment 809228 [details]
File: environ
Comment 6 Rex Dieter 2013-10-08 07:33:20 EDT
Created attachment 809229 [details]
File: limits
Comment 7 Rex Dieter 2013-10-08 07:33:23 EDT
Created attachment 809230 [details]
File: maps
Comment 8 Rex Dieter 2013-10-08 07:33:29 EDT
Created attachment 809231 [details]
File: open_fds
Comment 9 Rex Dieter 2013-10-08 07:33:33 EDT
Created attachment 809232 [details]
File: proc_pid_status
Comment 10 Rex Dieter 2013-10-08 07:33:40 EDT
Created attachment 809233 [details]
File: var_log_messages
Comment 11 Rex Dieter 2013-10-08 07:57:57 EDT
upstream tracker,
https://github.com/taglib/taglib/issues/296
Comment 12 Fedora End Of Life 2015-05-29 05:32:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:35:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.